%define api_version 1.2
%define lib_major   4
%define lib_name    %mklibname %{name} %{api_version} %{lib_major}
%define develname   %mklibname -d %name
%rename             mswordview

Name:           wv
Epoch:          1
Version:        1.2.9
Release:        %mkrel 5
Summary:        MS Word 2,6,7,8,9 file to HTML and latex converter
License:        GPLv2
Group:          Office/Word processor
URL:            http://www.abisource.com/downloads/wv/
Source:         http://www.abisource.com/downloads/wv/%{version}/%{name}-%{version}.tar.gz
Patch0:         %{name}-1.2.4-fix-str-fmt.patch
BuildRequires:  glib2-devel
BuildRequires:  libxml2-devel
BuildRequires:  pkgconfig(libgsf-1)
BuildRequires:  zlib-devel
Requires:       latex
Requires:       dvips

%description
Wv is a program that understands the Microsoft Word 2,6,7,8,9 binary file
format and is able to convert Word documents into HTML and LaTeX, which can
then be read with a browser.


%package -n %{lib_name}
Summary:        Library used by wv
Group:          System/Libraries
Provides:       lib%{name} = %{epoch}:%{version}-%{release}

%description -n %{lib_name}
Wv is a program that understands the Microsoft Word 2,6,7,8,9 binary file
format and is able to convert Word documents into HTML and LaTeX, which can
then be read with a browser.

This package provides the library that is used by wv.


%package -n %{develname}
Summary:        MS Word 2,6,7,8,9 file to HTML and latex converter (development)
Group:          Development/C
Requires:       %{lib_name} = %{epoch}:%{version}
Provides:       %{name}-devel = %{epoch}:%{version}

%description -n %{develname}
Wv is a program that understands the Microsoft Word 2,6,7,8,9 binary file
format and is able to convert Word documents into HTML and LaTeX, which can
then be read with a browser.

This is the development package.


%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .strfmt

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std
# uggly fix for symlink /usr/bin/wvText to wvConvert.
ln -sf wvConvert %{buildroot}/%{_bindir}/wvText
# the following file seems not to be used by any wv executable.
#cp $RPM_BUILD_DIR/%%{name}/config-mswordview %%{buildroot}/usr/lib/mswordview
rm -f notes/decompress/a.out
# make sure libwv.a is in lib directory
# mv %%{buildroot}%%{_datadir}/libwv.a %%{buildroot}%%{_libdir}/libwv.a

rm -f %{buildroot}%{_libdir}/*.la

%files
%doc README COPYING INSTALL NEWS
%{_bindir}/*
%{_datadir}/wv
%{_mandir}/man1/*

%files -n %{lib_name}
%{_libdir}/libwv-%{api_version}.so.%{lib_major}*

%files -n %{develname}
%{_includedir}/wv
%{_libdir}/libwv.so
%{_libdir}/pkgconfig/wv-1.0.pc


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1:1.2.9-5.mga3
+ Revision: 385887
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 barjac <barjac> 1:1.2.9-4.mga3
+ Revision: 340388
- update group
- use %%rename to obsolete mswordview

* Fri Jan 27 2012 kamil <kamil> 1:1.2.9-3.mga2
+ Revision: 202288
- update summaries and licenses (not about export from Word 2 and import into LaTeX)
- clean .spec
- update file list

* Tue Sep 20 2011 fwang <fwang> 1:1.2.9-2.mga2
+ Revision: 145921
- drop .la files

* Tue Sep 06 2011 tv <tv> 1:1.2.9-1.mga2
+ Revision: 139812
- new release
- new URL
- drop patch 1
- use %%mklibname -d
- clean BR

* Fri Mar 04 2011 boklm <boklm> 1:1.2.4-11.mga1
+ Revision: 64059
- don't require tetex

* Fri Feb 25 2011 ennael <ennael> 1:1.2.4-10.mga1
+ Revision: 59346
- clean spec file
- imported package wv

